<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Форма добаления/редактирования статусов заказа.
 * 
 * Файл: /admin/shop/action/form_edit_add_order_status.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
if (isset($id)) 
{
	$edit_order_status = to_int($id);
}
else 
{
	$edit_order_status = 0;
}

$form_params = array();
$form_params['title'] = $edit_order_status == 0
? $GLOBALS['MSG_shops']['order_status_add_form_title']
: $GLOBALS['MSG_shops']['order_status_edit_form_title'];
$form_params['form_attribs']['method'] = 'post';
$form_params['form_attribs']['action'] = '/admin/shop/shop.php';
$form_params['form_attribs']['name'] = 'EditAddOrderStatus';
$form_params['form_attribs']['ENCTYPE'] = 'multipart/form-data';
$shop = & singleton('shop');

$admin_forms_fields = new admin_forms_fields();

$new_path_array[] = array(
'link' => $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', '', 54, 'load_data'),
'onclick' => $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', '', 54, 'load_data'),
'name' => $GLOBALS['MSG_shops']['header_admin__list_forms']);

$new_path_array[] = array(
'link' => $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', '', 63, 'load_data'),
'onclick' => $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', '', 63, 'load_data'),
'name' => $GLOBALS['MSG_shops']['order_status_add_form_link']);

// Передаем в массив для констурктора хлебные крошки
$form_params['path_array'] = $new_path_array;

$admin_forms_fields->admin_forms_fields($form_params);

$DataBase = & singleton('DataBase');

// Редактировние налога
if ($edit_order_status)
{
	$type = 1;
	$result = $shop->GetOrdersStatus($edit_order_status);
	$shop_order_status_name = $result['shop_order_status_name'];
	$shop_order_status_description = $result['shop_order_status_description'];
}
// Добавление налога
else
{
	$shop_order_status_name = '';
	$shop_order_status_description = '';
}

// Параметры.
$tab_id = $admin_forms_fields->AddTab($GLOBALS['MSG_shops']['tab']);

// Название
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'order_status_name';
$param['caption'] = $GLOBALS['MSG_shops']['order_status_add_form_name'];
$param['type'] = 0; // Поле ввода.
$param['value'] = $shop_order_status_name;
$param['format']['minlen']['value'] = 1;
$param['format']['maxlen']['value'] = 255;
$param['attributes']['class'] = 'large';

$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Описание
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'order_status_description';
$param['caption'] = $GLOBALS['MSG_shops']['order_status_add_form_description'];
$param['type'] = 5; // textarea
$param['value'] = $shop_order_status_description;
$param['attributes']['rows'] = 10;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// передеам скрытое поле с идентификатором статуса если он есть
if ($edit_order_status)
{
	$param = array();
	$param['tab_id'] = $tab_id;
	$param['name'] = 'edit_order_status';
	$param['caption'] = '';
	$param['type'] = 4; // hidden.
	$param['value'] = $edit_order_status;
	$admin_forms_fields->AddField($param);
}

$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'action';
$param['caption'] = '';
$param['type'] = 4; // hidden.
$param['value'] = 'show_order_status';
$admin_forms_fields->AddField($param);

// Кнопка "Сохранить".
$param = array();
$param['name'] = 'save_order_status';
$param['caption'] = $GLOBALS['MSG_shops']['save'];
$param['attributes']['onclick'] = "return SendForm('{$admin_forms_fields->GetWindowId()}', '{$admin_forms_fields->AAction}', '{$admin_forms_fields->AAdditionalParams}', this, ".to_int($_REQUEST['admin_forms_id']).", 'load_data', " . to_int($admin_forms_fields->form_params['current_page']) . ", " . to_int($admin_forms_fields->form_params['on_page']) . " )";
$param['attributes']['type'] = 'button';
$admin_forms_fields->AddButton($param);

// Кнопка "Применить".
$param = array();
$param['name'] = 'add_order_status';
$param['caption'] = $GLOBALS['MSG_shops']['apply'];
$param['image'] = '/admin/images/add.gif';
$param['attributes']['onclick'] = "return SendForm('{$admin_forms_fields->GetWindowId()}', '{$admin_forms_fields->AAction}', '{$admin_forms_fields->AAdditionalParams}', this, ".to_int($_REQUEST['admin_forms_id']).", 'load_data', " . to_int($admin_forms_fields->form_params['current_page']) . ", " . to_int($admin_forms_fields->form_params['on_page']) . " )";
$param['attributes']['type'] = 'submit';
$admin_forms_fields->AddButton($param);

// Отображение формы.
$admin_forms_fields->ShowForm();
?>